Subject: [Fot] 13” Cosmic Wheels

From: Terry Sopher via Fot <[email-masked]>
Date: Mon, 8 Aug 2022 23:33:59 -0400

Amici,

Looking for a set of 13” Cosmic Wheels For my Road Spitfire.  

This ‘69 Spitfire has been in my life since I was 15 and came new from the Triumph Dealer in Geneva Switzerland with Cosmic wheels.  I sold the car in 2006 & just got it back this summer.  The original Cosmics are now a bit rough & the car is wearing Minilite wheels.

FWIW - I found a set of Cosmic 13” wheels on eBay, but seller will not ship them, only will local pick up.

Plz PM me if you have a set of Cosmic or as an alternative 13” American Racing Silverstones. Thanks, Terry 
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]